
fluidPage(
  theme = bs_theme(
    version = 5,
    bg = "#FFF",
    fg = "#101010",
    primary = "#040345",
    secondary = "#040345",
    base_font = font_google("Nunito"),
    code_font = font_google("Nunito")
  ),
  navset_tab(
    nav_panel(
      title = "Datas",
      page_sidebar(
        title = "Dashboard energy",
        sidebar = virtualSelectInput(
          inputId = "country",
          label = "Country :",
          choices = sort(unique(c(elec_data$country,
                                  cons_data$country,
                                  bin_data$country))),
          selected = "France",
          multiple = FALSE
        ),
        nav_panel(title = "Datas",
          layout_columns(
            fill = FALSE,
            value_box(
              title = textOutput("case1"),
              value = plotOutput(outputId = "jauge"),
              showcase = bsicons::bs_icon("lightbulb")
            ),
            value_box(
              title = textOutput("case2"),
              value = plotOutput(outputId = "only_bar"),
              showcase = bsicons::bs_icon("lightning-charge")
            )
          ),
          layout_columns(
            navset_card_underline(
              title = textOutput("case3"),
              nav_panel(title = "Tree Map", plotOutput(outputId = "tree_map")),
              nav_panel(title = "Pie Chart",
                        plotOutput(outputId = "pie_chart")),
              nav_panel(title = "Bar Chart", plotOutput(outputId = "bar_chart"))
            ),
            navset_card_underline(
              title = textOutput("case4"),
              nav_panel(title = "Dumbell Graph",
                        plotOutput(outputId = "dumbell")),
              nav_panel(title = "Slope Chart", plotOutput(outputId = "slope")),
              nav_panel(title = "Line Graph",
                        plotOutput(outputId = "serie_temp"))
            )
          ),
          value_box(
            title = "Annual change in electricity \n
            source consumption year to year",
            column(width = 12,
              offset = 0,
              fluidRow(
                column(width = 10,
                  plotOutput(outputId = "cons_bar_graph1")
                ),
                column(width = 2,
                  virtualSelectInput(
                    inputId = "source_energy",
                    label = "Energy source :",
                    choices = all_sources,
                    selected = "tot"
                  )
                )
              )
            )
          ),
          navset_card_underline(
            nav_panel(
              title = textOutput("case6b"),
              plotOutput(outputId = "net_imp_barb")
            ),
            nav_panel(
              title = textOutput("case6"),
              plotOutput(outputId = "net_imp_bar")
            )
          ),
          value_box(
            title = "Evolution of electricity generated by a person",
            column(width = 12,
              offset = 0,
              fluidRow(
                column(width = 10,
                  plotOutput(outputId = "indiv_graph")
                ),
                column(width = 2,
                  virtualSelectInput(
                    inputId = "source_energy2",
                    label = "Energy source :",
                    choices = all_sources,
                    selected = "tot"
                  )
                )
              )
            )
          ),
          tags$a("Datas Source:"),
          tags$br(),
          tags$a(
            icon("link", style = "color: black"),
            "https://github.com/owid/energy-data/",
            href = "https://github.com/owid/energy-data/",
            style = "color: blue;"
          ),
          tags$br(),
          tags$a("Download Datas:"),
          tags$br(),
          tags$div(
            icon("save", style = "color: black"),
            downloadLink(
              outputId = "downloadData",
              label = "Download Data",
              style = "color: blue;"
            )
          )
        ),
      )
    ),
    nav_panel(
      title = "Comparaisons",
      page_sidebar(
        title = "Selections",
        sidebar = tags$div(
          virtualSelectInput(
            inputId = "country_comp",
            label = "Country :",
            choices = sort(unique(elec_data_pivoted$country)),
            selected = NULL,
            multiple = TRUE
          ),
          virtualSelectInput(
            inputId = "source_energy_comp",
            label = "Energy source :",
            choices = sort(unique(filtered_elec_data_pivoted$type)),
            selected = NULL,
            multiple = TRUE
          ),
          numericRangeInput(
            inputId = "year_comp",
            label = "Year range",
            min = min(elec_data_pivoted$year),
            max = max(elec_data_pivoted$year),
            value = c(
              min(elec_data_pivoted$year),
              max(elec_data_pivoted$year)
            )
          ),
          numericInput(
            inputId = "top",
            label = "Number of countries displayed:",
            value = 10,
            min = 1,
            max = length(unique(elec_data_pivoted$country_name)),
            width = "100%"
          )
        ),
        plotOutput(outputId = "comp_bar")
      )
    ),
    nav_panel(
      title = "About",
      tags$br(),
      p("* the mean, median and max are calculated according to the countries that have no Not Available data regarding their volume of twh production for the current year")
    ),
  )
)
